#pragma once

#include "CoreMinimal.h"
#include "Engine/DeveloperSettings.h"
#include "UObject/NoExportTypes.h"
#include "BackendGameplayTunablesSettings.generated.h"

UCLASS(Blueprintable)
class BACKENDGAMEPLAYTUNABLES_API UBackendGameplayTunablesSettings : public UDeveloperSettings
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool ExportAllAssets;

	UPROPERTY(EditAnywhere)
	TArray<FSoftObjectPath> AssetsToExport;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FTopLevelAssetPath> AssetPathsToExport;

public:
	UBackendGameplayTunablesSettings();
};

FORCEINLINE uint32 GetTypeHash(const UBackendGameplayTunablesSettings) { return 0; }
